package org.gcube.portlets.user.geoportaldataentry.client;

import org.gcube.portlets.widgets.mpformbuilder.client.ConstantsMPFormBuilder;

/**
 * The Class ConstantsGeoPortalDataEntryApp.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Aug 6, 2021
 */
public class ConstantsGeoPortalDataEntryApp {

	public static final String DATE_FORMAT = ConstantsMPFormBuilder.DATE_FORMAT;

	public static final String TIME_FORMAT = ConstantsMPFormBuilder.TIME_FORMAT;

	public static final String HOURS_MINUTES_SEPARATOR = ConstantsMPFormBuilder.HOURS_MINUTES_SEPARATOR;

	/**
	 * The Enum RECORD_TYPE.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public enum RECORD_TYPE {
		CONCESSIONE
	}

	/**
	 * The Enum ACTION_PERFORMED_ON_ITEM.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 * Nov 25, 2021
	 */
	public enum ACTION_PERFORMED_ON_ITEM {
		UPDATED_PROJECT
	}

	/**
	 * The Enum RECORD_FIELD.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Sep 2, 2021
	 */
	public static enum RECORD_FIELD {
		NAME("nome", "Name"), INTRODUCTION("introduction", "Introduction"), AUTHOR("authors", "Author/s"),
		PROJECT_START_END_DATE("", "Project Start/End Date"), RECORD_STATUS("recordStatus", "Published with"), CREATED("creationTime", "Created"),
		CREATED_BY("creationUser", "Created by");

		String jsonFieldName;
		String displayName;

		/**
		 * Instantiates a new record field.
		 *
		 * @param jsonFieldName the json field name
		 * @param displayName   the display name
		 */
		RECORD_FIELD(String jsonFieldName, String displayName) {
			this.jsonFieldName = jsonFieldName;
			this.displayName = displayName;
		}

		/**
		 * Gets the json field name.
		 *
		 * @return the json field name
		 */
		public String getJsonFieldName() {
			return jsonFieldName;
		}

		/**
		 * Gets the display name.
		 *
		 * @return the display name
		 */
		public String getDisplayName() {
			return displayName;
		}
	}
	

}
